post
https://staging-api.vitessepsp.com/api/deferredTransactionRequests/validate
Validates a deferred transaction request.
This endpoint allows validation of a deferred TransactionRequest before creation.
When successful, the response is a TransactionResponse.
The request will go through all validation steps of the processing pipeline but no changes will be made to data and no money movements will be made by the back-end system. These steps are as follows...
- Verify that the countries and currencies specified in the request are enabled and accessible by the merchant.
- Verify that the merchant has a 3 digit code associated with them.
- Check (if necessary) that an Originator has been provided. Some merchants have this as a mandatory setting.
- Verify that (if provided) the RequestedValueDate can be achieved.
- Check (if supplied) that the RateGroupId is valid and that the rate group has not expired.
- Ensure all rules for the route selected pass.
- Verify that the selected route is valid.
- Calculate a value date based on the RequestedValueDate, if supplied.
Role RequiredAuthentication tokens must possess the DeferredTransactionRequests.Create role to use this endpoint.